{: test that the compiler recovers from an incomplete file declaration }

program e012(output);

var
   myrec : record
              i : integer;
              f : file;  {!!! bad declaration}
           end;

   myrec1 : packed record
               i,j,k,l : 0..15;
               a       : array[0..15] of integer;
             end;

begin {e012}

   with myRec1 do begin
      i := 4;
      a[3] := 888;
   end;

end. {e012}

